Organizations
Create or run organizations
Create or run organizations. Requires a Flarehawk API key in the Authorization: Bearer <key> header.
POST
/
api
/
organizations
Create or run organizations
curl --request POST \
--url https://app.flarehawk.com/api/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp",
"slug": "<string>",
"billingEmail": "<string>",
"logoUrl": "<string>",
"websiteDomain": "<string>",
"vigilbaseCustomerId": "<string>",
"stripeCustomerId": "<string>",
"existingAuthProviderOrganizationId": "<string>",
"existingAuth0OrgId": "<string>"
}
'import requests
url = "https://app.flarehawk.com/api/organizations"
payload = {
"name": "Acme Corp",
"slug": "<string>",
"billingEmail": "<string>",
"logoUrl": "<string>",
"websiteDomain": "<string>",
"vigilbaseCustomerId": "<string>",
"stripeCustomerId": "<string>",
"existingAuthProviderOrganizationId": "<string>",
"existingAuth0OrgId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Corp',
slug: '<string>',
billingEmail: '<string>',
logoUrl: '<string>',
websiteDomain: '<string>',
vigilbaseCustomerId: '<string>',
stripeCustomerId: '<string>',
existingAuthProviderOrganizationId: '<string>',
existingAuth0OrgId: '<string>'
})
};
fetch('https://app.flarehawk.com/api/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flarehawk.com/api/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Corp',
'slug' => '<string>',
'billingEmail' => '<string>',
'logoUrl' => '<string>',
'websiteDomain' => '<string>',
'vigilbaseCustomerId' => '<string>',
'stripeCustomerId' => '<string>',
'existingAuthProviderOrganizationId' => '<string>',
'existingAuth0OrgId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flarehawk.com/api/organizations"
payload := strings.NewReader("{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flarehawk.com/api/organizations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flarehawk.com/api/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Flarehawk API key created from the dashboard API Keys settings.
Body
application/json
Human-readable name, 1-120 characters, no control characters.
Required string length:
1 - 120Example:
"Acme Corp"
Available options:
free, paid Response
Organization created.
Route-specific JSON object. Some dashboard endpoints return provider or analytics payloads with flexible keys.
Was this page helpful?
⌘I
Create or run organizations
curl --request POST \
--url https://app.flarehawk.com/api/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp",
"slug": "<string>",
"billingEmail": "<string>",
"logoUrl": "<string>",
"websiteDomain": "<string>",
"vigilbaseCustomerId": "<string>",
"stripeCustomerId": "<string>",
"existingAuthProviderOrganizationId": "<string>",
"existingAuth0OrgId": "<string>"
}
'import requests
url = "https://app.flarehawk.com/api/organizations"
payload = {
"name": "Acme Corp",
"slug": "<string>",
"billingEmail": "<string>",
"logoUrl": "<string>",
"websiteDomain": "<string>",
"vigilbaseCustomerId": "<string>",
"stripeCustomerId": "<string>",
"existingAuthProviderOrganizationId": "<string>",
"existingAuth0OrgId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Corp',
slug: '<string>',
billingEmail: '<string>',
logoUrl: '<string>',
websiteDomain: '<string>',
vigilbaseCustomerId: '<string>',
stripeCustomerId: '<string>',
existingAuthProviderOrganizationId: '<string>',
existingAuth0OrgId: '<string>'
})
};
fetch('https://app.flarehawk.com/api/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flarehawk.com/api/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Corp',
'slug' => '<string>',
'billingEmail' => '<string>',
'logoUrl' => '<string>',
'websiteDomain' => '<string>',
'vigilbaseCustomerId' => '<string>',
'stripeCustomerId' => '<string>',
'existingAuthProviderOrganizationId' => '<string>',
'existingAuth0OrgId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flarehawk.com/api/organizations"
payload := strings.NewReader("{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flarehawk.com/api/organizations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flarehawk.com/api/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Corp\",\n \"slug\": \"<string>\",\n \"billingEmail\": \"<string>\",\n \"logoUrl\": \"<string>\",\n \"websiteDomain\": \"<string>\",\n \"vigilbaseCustomerId\": \"<string>\",\n \"stripeCustomerId\": \"<string>\",\n \"existingAuthProviderOrganizationId\": \"<string>\",\n \"existingAuth0OrgId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}
